--:SetVar Function "AUX:PadStart"
if exists( select * from [sysobjects] (nolock) where [type] in ('FN','TF') and [name]=N'AUX:PadStart' )
   drop function [AUX:PadStart]
GO
/* Translated by $SQLTRANS utility (SQL-file technology). Method author: Sergei Y.Kitáev.
** Script translation date-time: 2022-11-27 00:29:27.24 (stamp of SQL-file generation). */
create function [AUX:PadStart]( @String nvarchar(max), @WidthForPadding int )
returns nvarchar(max)
BEGIN
/*==================================================================================================
# SQLAUX scripting library | Author: Sergei Y.Kitáev
----------------------------------------------------------------------------------------------------
#
# STRING COMPLEMENT FROM START (WITH SPACES):
#
# === Usage: ===
# dbo.[AUX:PadStart]( <String>, <Width for padding> )
#
==================================================================================================*/

return dbo.[AUX:PadStart.Ext]( @String, @WidthForPadding, null )

/*================================================================================================*/
END
GO
/*
select '“'+dbo.[AUX:PadStart]( N'string', 10 )+'”' 'Complemented string'
select '“'+dbo.[AUX:PadStart]( N'string', 5 )+'”' 'Complemented string'
*/
